/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of SableCC.                             *
 * See the file "LICENSE" for copyright information and the  *
 * terms and conditions for copying, distribution and        *
 * modification of SableCC.                                  *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

package org.sablecc.sablecc;

import java.util.Map;
import java.util.TreeMap;

import org.sablecc.sablecc.analysis.DepthFirstAdapter;
import org.sablecc.sablecc.node.AProd;

public class ConstructProdsMap extends DepthFirstAdapter
{
  public Map<String, AProd> productionsMap = new TreeMap<>();

  private String currentProd;

  @Override
  public void caseAProd(AProd node)
  {
    currentProd = ResolveIds.name(node.getId().getText());
    productionsMap.put("P" + currentProd, node);
  }
}
